Skip to main content
GET
/
clients
Get Clients
curl --request GET \
  --url https://api.roostedhr.com/api/1_12/clients \
  --header 'X-API-KEY: <api-key>'
{
  "clients": [
    {
      "id": "uLu8K",
      "client_name": "Acme Corp",
      "client_contact_name": "<string>",
      "client_contact_phone": "<string>",
      "client_contact_email": "<string>",
      "client_contact_title": "<string>",
      "default_comments_for_workers": "<string>",
      "client_invoice_customer_id": "<string>",
      "client_address": "<string>",
      "client_city": "<string>",
      "client_state": "<string>",
      "client_postal_code": "<string>",
      "company_name": "<string>",
      "client_portal_connection_status": 123,
      "client_portal_connection_datetime": "<string>",
      "client_portal_invite_datetime": "<string>",
      "client_portal_invite_email": "<string>",
      "pending": true
    }
  ],
  "total_count": 123
}
Results are paginated. Use the items_per_page parameter (1–100) and page parameter to navigate. The response includes a total_count field indicating the total number of clients.

Authorizations

X-API-KEY
string
header
required

Query Parameters

items_per_page
number

Number of clients per page (1–100).

Required range: 1 <= x <= 100
page
number

Page number (starts at 1).

Required range: x >= 1

Response

OK

clients
Client · object[]
total_count
number

Total number of clients.